@echo on

set RTCTREE_NAMESERVERS=127.0.0.1:2809
set NS=%RTCTREE_NAMESERVERS%

set FINGER_POSITION_RTC=/%NS%/FingerPositionTest0.rtc
set OBJECT_POSITION_RTC=/%NS%/ObjectPositionTest0.rtc
set RECOGNITION_SERVICE_RTC=/%NS%/RecognitionServiceTest0.rtc
set MARKER_RECOGNITION_RTC=/%NS%/MarkerRecognition0.rtc

for /F %%p in ('python -c "import sys;sys.stdout.write(sys.exec_prefix)"') do set PYTHON_PATH=%%p
set RTCSHELL_PATH=%PYTHON_PATH%\Scripts
set CMD=cmd.exe /c

cd %RTCSHELL_PATH%

%CMD% rtdeact %FINGER_POSITION_RTC%
call :SLEEP01
%CMD% rtdeact %OBJECT_POSITION_RTC%
call :SLEEP01
%CMD% rtdeact %RECOGNITION_SERVICE_RTC%
call :SLEEP01
%CMD% rtdeact %MARKER_RECOGNITION_RTC%

call :SLEEP10

%CMD% rtexit %FINGER_POSITION_RTC%
call :SLEEP01
%CMD% rtexit %OBJECT_POSITION_RTC%
call :SLEEP01
%CMD% rtexit %RECOGNITION_SERVICE_RTC%
call :SLEEP01
%CMD% rtexit %MARKER_RECOGNITION_RTC%

%CMD% rtls /%NS%/ -lR

:SLEEP01
python -c "import time;time.sleep(1)"
exit /B

:SLEEP05
python -c "import time;time.sleep(5)"
exit /B

:SLEEP10
python -c "import time;time.sleep(10)"
exit /B
